System.Web 2.0.0.0 System.Web.UI.StateManagedCollection System.ComponentModel.Editor("System.Web.UI.Design.WebControls.ParameterCollectionEditor, System.Design, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a", "System.Drawing.Design.UITypeEditor, System.Drawing, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a")

The class represents a collection of objects used in advanced data-binding scenarios with data source controls. The objects are used to bind the values contained by local variables, HTTP cookies, session variables, and other controls' values to data source controls when retrieving, updating, deleting, and inserting data.

Use the class to programmatically manage a set of objects. You can add, insert, and remove objects using the appropriate methods of the class. To programmatically retrieve objects from a collection, use one of following methods:

Use the indexer to get a single object from the collection, by name or using array notation.

Use the method to create a -implemented object, which can then be used to get items from the collection.

The property specifies the total number of items in the collection, and is used to determine the upper bound of the collection. You can add and remove items from the collection by using the , , , and methods.

Depending on the implementation and the semantics of a particular data source control, the order in which the parameters are stored in the collection might be important. For example, when using the control as an ODBC data source, the order of the objects in the collection must be the same as the order of the parameters in the parameterized SQL queries you use. However, when using the control with Microsoft SQL Server, the order of the objects are not important.

When you use data source controls, values are inserted into command parameters without validation, which is a potential security threat. Use an event in the data source control to validate parameter values before the command is executed. For more information, see Script Exploits Overview.

The following table lists the different parameter classes and how they are used.

Parameter Class

Description

The base parameter class. Use it to bind to a local variable or any static string using the property.

A parameter that can be used to bind to a control's property or method return value.

A parameter that can be used to bind to the value of a cookie.

A parameter that can be used to bind to an attribute of the current Web Forms page.

A parameter that can be used to bind to a value passed to a Web Forms page on a query string.

A parameter that can be used to bind to the value of a session variable.

A parameter that can be used to bind to the value of an ASP.NET Profile property.

Represents a collection of and -derived objects that are used by data source controls in advanced data-binding scenarios.

- Constructor
  To be added.

  Initializes the class for use by an inherited class instance. This constructor can be called only by an inherited class.

  2.0.0.0
- Method
  System.Int32 `` To be added.

  Use the method to append a object to the end of the collection. This implementation of the method takes the object specified by the parameter and appends it to the collection.

  Appends the specified object to the end of the collection.

  The index value of the added item.

  2.0.0.0
- Method
  System.Int32 `` ``

  Use the method to create and append a object with a default value to the end of the collection. This implementation of the method creates the object using the name and default value specified by the and parameters, respectively, and appends it to the collection.

  Creates a object with the specified name and default value, and appends it to the end of the collection.

  The index value of the added item.

  The name of the parameter. A string that serves as a default value for the parameter. 2.0.0.0
- Method
  System.Int32 `` `` ``

  Use the method to create and append a strongly typed object with a default value to the end of the collection. This implementation of the method creates the object using the name, type and value specified by the , and parameters, respectively, and appends it to the collection.

  Creates a object with the specified name, , and default value, and appends it to the end of the collection.

  The index value of the added item.

  The name of the parameter. The type of the parameter. The default value for the parameter. 2.0.0.0
- Method
  System.Boolean `` To be added.

  Use this method to determine whether a specified object is in the collection.

  Determines whether the collection contains a specific value

  true if the object is found in the ; otherwise, false. If null is passed for the parameter, false is returned.

  2.0.0.0
- Method
  System.Void `` `` To be added. To be added.

  Copies a specified index of a parameter array to the parameter collection.

  The integer index of the item that is to be copied. 2.0.0.0
- Method
  System.Object `` To be added.

  The method creates an instance of a object according to the index of the returned by the method. The index values correspond to types shown in the following table.

  Index

  Parameter type

  0

  1

  2

  3

  4

  5

  6

  Creates an instance of a default object.

  A default instance of a .

  2.0.0.0
- Method
  System.Type[] To be added.

  Gets an array of types that the collection can contain.

  An ordered array of objects that identify the types of objects that the collection can contain.

  2.0.0.0
- Method
  System.Collections.Specialized.IOrderedDictionary `` ``

  The parameter is used by objects contained in the collection to retrieve the and current object that the object binds to.

  Because the object must have uniquely named entries but the collection does not require or guarantee unique object names, the implementation of this method appends a number to the end of each property to ensure uniqueness in the returned collection.

  Gets an ordered collection of object names and their corresponding values currently contained by the collection.

  An of name/value pairs.

  The current that the binds to. The instance that is passed to each parameter's method. 2.0.0.0
- Method
  System.Int32 `` To be added.

  Use this method to determine the index of a parameter in the collection.

  Determines the index of a specified object in the collection.

  The index of , if it is found in the collection; otherwise, -1.

  2.0.0.0
- Method
  System.Void `` `` To be added. To be added. To be added.

  Inserts the specified object into the collection at the specified index.

  2.0.0.0
- Property
  System.Web.UI.WebControls.Parameter `` To be added. To be added. To be added. To be added. 2.0.0.0
- Property
  System.Web.UI.WebControls.Parameter `` To be added. To be added. To be added. To be added. 2.0.0.0
- Method
  System.Void

  The method is called to perform additional processing after the method completes. It calls the method.

  Performs additional custom processes after clearing the contents of the collection.

  2.0.0.0
- Method
  System.Void `` `` To be added.

  The method is called to perform additional processing before the method is called.

  Occurs before the method is called.

  The that is inserted into the . 2.0.0.0
- Method
  System.Void `` `` To be added.

  The method is called to perform additional processing after the method completes. It calls the method.

  Occurs after the method completes.

  The that was inserted into the . 2.0.0.0
- Method
  System.Void `` To be added.

  Raises the event.

  An that contains the event data. 2.0.0.0
- Method
  System.Void `` ``

  The method is called to perform additional processing after the method completes. It calls the method.

  Occurs after the method completes.

  The index in the collection that the was removed from. The that was removed from the . 2.0.0.0
- Method
  System.Void ``

  The method determines whether the object specified in the parameter is a instance. If not, it throws an exception.

  Performs additional custom processes when validating a value.

  The object being validated. 2.0.0.0
- Event
  System.EventHandler

  If the collection is contained by a data source control, the event raises the data source control's DataSourceChanged event, causing any data-bound controls to rebind.

  Raising an event invokes the event handler through a delegate. For more information, see Raising an Event.

  The method also allows derived classes to handle the event without attaching a delegate. This is the preferred technique for handling the event in a derived class.

  Occurs when one or more objects contained by the collection changes state.

  2.0.0.0
- Method
  System.Void `` To be added.

  Use this method to remove the specified object from a collection.

  Removes the specified object from the collection.

  2.0.0.0
- Method
  System.Void `` To be added.

  Use the method to remove the object at the specified index from the collection.

  Removes the object at the specified index from the collection.

  2.0.0.0
- Method
  System.Void ``

  The method is a helper function that is used to mark a object as having changed since the last load or save from view state.

  This method is used only by control developers.

  Marks the specified object as having changed since the last load or save from view state.

  The to mark as having changed since the last load or save from view state. 2.0.0.0
- Method
  System.Void `` ``

  The parameter is used by objects contained in the collection to retrieve the and current object that the object binds to.

  If the current value for the object is different from the value cached in view state, the method is called.

  Iterates through the objects contained by the collection, and calls the Evaluate method on each one.

  The current that the binds to. The instance that is passed to each parameter's method. 2.0.0.0